Last Comment Bug 311261 - Threaded mail view in Virtual Folders is not possible
: Threaded mail view in Virtual Folders is not possible
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: Ian Neal
:
:
Mentors:
Depends on: 263180
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 14:36 PDT by Ian Neal
Modified: 2006-03-25 04:12 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Simple patch v0.1 (2.54 KB, patch)
2005-10-05 14:43 PDT, Ian Neal
neil: review-
Details | Diff | Splinter Review
Tweaked simple patch v0.1a (Checked in trunk/branch 1.8 & 1.8.0) (4.55 KB, patch)
2005-10-17 15:00 PDT, Ian Neal
neil: review+
mozilla: superreview+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Splinter Review

Description Ian Neal 2005-10-05 14:36:10 PDT
All sorting options "Threaded" "Unthreaded" "Grouped by Sort" are greyed out for
Virtual Folders.
Selecting the sort order by clicking the column heads in the message pane works
for other columns but not for the Thread column.

Suite part for bug 263180
Comment 1 Ian Neal 2005-10-05 14:43:50 PDT
Created attachment 198631 [details] [diff] [review]
Simple patch v0.1

This patch:
* Adds suite front end to have threaded mail view in virtual folders
Comment 2 neil@parkwaycc.co.uk 2005-10-15 15:59:18 PDT
Argh, I had a review comment for this, but it must have got lost in a crash :-(
Comment 3 neil@parkwaycc.co.uk 2005-10-15 16:04:37 PDT
Comment on attachment 198631 [details] [diff] [review]
Simple patch v0.1

>                   var dbFolderInfo = msgDatabase.dBFolderInfo;
>                   sortType = dbFolderInfo.sortType;
>                   sortOrder = dbFolderInfo.sortOrder;
>+                  viewFlags = dbFolderInfo.viewFlags;
>                   if (folderFlags & MSG_FOLDER_FLAG_VIRTUAL)
>                   {
>                     viewType = nsMsgViewType.eShowQuickSearchResults;
The else clause of this if sets viewFlags and viewType and clears
gSearchSession. That assignment to viewFlags is now superfluous but I think it
would be more obvious if you simply moved those three lines here before the if.
You could then also get rid of the other line that clears gSearchSession.
Comment 4 Ian Neal 2005-10-17 15:00:13 PDT
Created attachment 199854 [details] [diff] [review]
Tweaked simple patch v0.1a (Checked in trunk/branch 1.8 & 1.8.0)

Changes since v0.1:
* Moved rest of code from else to before if and removed additional clearing of
gSearchSession as suggested by Neil.
Comment 5 neil@parkwaycc.co.uk 2005-10-19 05:26:14 PDT
Comment on attachment 199854 [details] [diff] [review]
Tweaked simple patch v0.1a (Checked in trunk/branch 1.8 & 1.8.0)

Sorry, reviewed but forgot to mark this yesterday.
Comment 6 Ian Neal 2005-10-19 16:10:20 PDT
Comment on attachment 199854 [details] [diff] [review]
Tweaked simple patch v0.1a (Checked in trunk/branch 1.8 & 1.8.0)

Checking in
commandglue.js;
new revision: 1.261; previous revision: 1.260
searchBar.js;
new revision: 1.43; previous revision: 1.42
done
Comment 7 Ian Neal 2005-12-10 17:24:20 PST
Comment on attachment 199854 [details] [diff] [review]
Tweaked simple patch v0.1a (Checked in trunk/branch 1.8 & 1.8.0)

Checking in
commandglue.js;
new revision: 1.258.4.1; previous revision: 1.258
searchBar.js;
new revision: 1.42.4.1; previous revision: 1.42
done
Comment 8 Ian Neal 2005-12-22 06:19:49 PST
Comment on attachment 199854 [details] [diff] [review]
Tweaked simple patch v0.1a (Checked in trunk/branch 1.8 & 1.8.0)

Checking in (branch 1.8.0)
commandglue.js;
new revision: 1.258.10.1; previous revision: 1.258
searchBar.js;
new revision: 1.42.10.1; previous revision: 1.42
done

Note You need to log in before you can comment on or make changes to this bug.